AAFClassID (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Class AAFClassID

- java.lang.Object
- - org.apache.poi.hpsf.ClassID
  - - tv.amwa.maj.io.aaf.AAFClassID

-     public class AAFClassID
      extends org.apache.poi.hpsf.ClassID

  Class identifier to use as storage class identifiers on folders representing AAF classes within structured storage files.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hpsf.ClassID

      `LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAFClassID(AUID aafClassID)` Create a storage class identifier from a MAJ class definition identifier.
    `AAFClassID(byte[] aafClassIDBytes)` Create a storage class identifier from an array of bytes already in the correct order to be written into the file.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.ClassID

      `equals, getBytes, hashCode, length, read, setBytes, toString, write`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AAFClassID

          public AAFClassID(AUID aafClassID)
                     throws NullPointerException

      Create a storage class identifier from a MAJ class definition identifier.

      Parameters:
        `aafClassID` - Identifier for an AAF class.
      Throws:
        `NullPointerException` - Cannot set the value of the class identifier using a `null` value.
      See Also:
        `MetaDefinition.getAUID()`, `AAFClassID(byte[])`

    - #### AAFClassID

          public AAFClassID(byte[] aafClassIDBytes)
                     throws NullPointerException

      Create a storage class identifier from an array of bytes already in the correct order to be written into the file.

      Parameters:
        `aafClassIDBytes` - Identifier for an AAF class.
      Throws:
        `NullPointerException` - annot set the value of the class identifier using a `null` value.
      See Also:
        `AAFClassID(AUID)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.